LettrLabs API
API ReferenceAutomations

Request a proximity mailing

Finds addresses around a point or address using the supplied filters and queues them as recipients on the integration order. Recipient discovery runs asynchronously after the request is accepted.

POST
/v1/integration-orders/{id}-by-proximity

Finds addresses around a point or address using the supplied filters and queues them as recipients on the integration order. Recipient discovery runs asynchronously after the request is accepted.

X-API-KEY<token>

In: header

Path Parameters

id*integer

ID of integration order add recipients to.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Name*string

Name for the proximity search

OwnerOrRenterFilter*integer
PropertyTypeFilter*integer
HouseHoldIncomeFilter*
LengthOfResidenceFilter*
YearBuiltFilter*
HomePriceFilter*
Addresses*array<>

List of Addresses to search around

MultiUse*|

If true - the recipients in this order can be used multiple times

ReturnTitle*|

Optional return address override - title printed with the return name (e.g. Mr., Mrs.) Applies to every recipient generated by this call

ReturnFirstName*|

Optional return address override - first name Must be provided together with ReturnLastName

ReturnLastName*|

Optional return address override - last name Must be provided together with ReturnFirstName

ReturnOrganization*|

Optional return address override - organization name

ReturnAddress1*|

Optional return address override - street address line 1 Required when any other return address field is provided

ReturnAddress2*|

Optional return address override - street address line 2

ReturnCity*|

Optional return address override - city Required when ReturnAddress1 is provided

ReturnState*|

Optional return address override - state Required when ReturnAddress1 is provided

ReturnZip*|

Optional return address override - zip code Required when ReturnAddress1 is provided

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/integration-orders/0-by-proximity" \  -H "Content-Type: application/json" \  -d '{    "Name": "string",    "OwnerOrRenterFilter": 0,    "PropertyTypeFilter": 0,    "HouseHoldIncomeFilter": {      "min": 0,      "max": 0    },    "LengthOfResidenceFilter": {      "min": 0,      "max": 0    },    "YearBuiltFilter": {      "min": 0,      "max": 0    },    "HomePriceFilter": {      "min": 0,      "max": 0    },    "Addresses": [      {        "address1": "string",        "address2": "string",        "city": "string",        "state": "string",        "zip": "string",        "DesiredCount": 0      }    ],    "MultiUse": true,    "ReturnTitle": "string",    "ReturnFirstName": "string",    "ReturnLastName": "string",    "ReturnOrganization": "string",    "ReturnAddress1": "string",    "ReturnAddress2": "string",    "ReturnCity": "string",    "ReturnState": "string",    "ReturnZip": "string"  }'
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": {    "id": 0,    "name": "string",    "createdDate": "2019-08-24T14:15:22Z",    "updatedDate": "2019-08-24T14:15:22Z",    "postageType": "Standard",    "integrationOrderStatus": "Active"  },  "errorCode": "UNAUTHENTICATED",  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "errorDetails": [    null  ],  "metadata": {    "property1": null,    "property2": null  }}
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": {    "id": 0,    "name": "string",    "createdDate": "2019-08-24T14:15:22Z",    "updatedDate": "2019-08-24T14:15:22Z",    "postageType": "Standard",    "integrationOrderStatus": "Active"  },  "errorCode": "UNAUTHENTICATED",  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "errorDetails": [    null  ],  "metadata": {    "property1": null,    "property2": null  }}
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": {    "id": 0,    "name": "string",    "createdDate": "2019-08-24T14:15:22Z",    "updatedDate": "2019-08-24T14:15:22Z",    "postageType": "Standard",    "integrationOrderStatus": "Active"  },  "errorCode": "UNAUTHENTICATED",  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "errorDetails": [    null  ],  "metadata": {    "property1": null,    "property2": null  }}
Empty